%define		rname mod_xsendfile
Summary:	Apache2 xsendfile module
Summary(ko): 아파치2 xsendfile 모듈
Name:		httpd-xsendfile
Version:	1.0b1
Release:	1%{?dist}
Epoch:		1
License:	Apache
Group:		System Environment/Daemons
URL:		https://tn123.org/mod_xsendfile/
Source0:	https://github.com/nmaier/%{rname}/archive/%{version}.tar.gz#/%{rname}-%{version}.tar.gz
Source1:	xsendfile.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
Requires: httpd

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
This apache module processes X-SENDFILE headers registered by the
original output handler.

%prep
%setup -q -n %{rname}-%{version}

%build
%{_bindir}/apxs -c %{rname}.c

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__install} -m 755 .libs/%{rname}.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/xsendfile.conf
%{_moddir}/%{rname}.so

%changelog
* Tue Oct 18 2016 JoungKyun.Kim <http://oops.org> 1:1.0b1-1%{?dist}
- first packaging
